Create Thread

The in-app API is used to create a thread when a user wants to send MO. Gateway will return threadId as response.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

The create thread request is specified as follows:

Request Headers

The following table describes the request headers:

Request HeaderDescription
secretKeySecret key generated in backend application.
content-typeApplication/JSON

Request Body

The following table describes the request parameters:

ParameterTypeMandatoryDescription
appidStringYesSpecifies the application ID.

Request Example

{
   "externalid": "anything text or number",
   "type": "Conversation/Announcement",
   "title": "Sample title",
   "category": "Samplecategory",
   "extras": {
     					"Custom_Param1": "value1",
     					"Custom_Param2": "value1",
      				"Custom_Param3": "value1",
      				"Custom_Param4": "value1",
      				"Custom_Param10": ["value1","value2"]
   }
}

Request Body

The following table describes the elements in the request URL:

ParameterTypeMandatoryDescription
externalidStringNoSpecifies the external ID
typeStringYesSpecifies the type of thread. Conversation/Announcement
titleStringNoSpecifies the thread title.
categoryStringNoSpecifies the thread category
extrasNumericNoSpecifies custom parameters

Response Example

{
   "code": "0",
   "description": "success",
   "thread": {
      "id": "UUID",
      "created_on": "2017-05-03T13:14:37.985Z"
   }
}
Headers
string
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json
Copyright © 2000 - 2021 IMImobile Limited | All Rights Reserved